What are the system requirements?

Digication has the following system requirements:

  • Supported browsers as of August 1, 2013:

    • Chrome (25+)
    • Firefox (19+)
    • Safari (5+)
    • *Internet Explorer (9+) 

    *Please note: For Internet Explorer version 9 there is a known issue with simultaneously uploading multiple files to gallery modules and course discussions. We recommend that you upgrade to Internet Explorer 10 or use another supported browser. 

  • Adobe Flash Player
  • Javascript must be enabled and cookies should be turned on

 

Note: Adobe Flash Player can be downloaded here: http://get.adobe.com/flashplayer

 

Please see our announcement about changes to our system requirements as of August 1, 2013: 

https://support.digication.com/entries/21572449-Digication-Browser-Support-Change-for-August-2013

Have more questions? Submit a request

0 Comments

Article is closed for comments.